Page MenuHomePhabricator

Provide a clone of cdnjs for toollabs users
Closed, ResolvedPublic

Description

Currently there's tools.wmflabs.org/static but we shouldn't have to maintain it by hand. We can't include things directly from cdnjs / google because of Privacy Policy, so let's just mirror cdnjs.

Details

Related Gerrit Patches:
operations/puppet : productiontools: Redirect /cdnjs from tools-static to tools
operations/puppet : productiontools: Generate packages.json for cdnjs
operations/puppet : productiontools: Set 30d expiry for all things from tools-static cdn
operations/puppet : productiontools: Fix nginx order matching for cdnjs
operations/puppet : productiontools: Setup a cdnjs mirror

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda added a project: Toolforge.
yuvipanda added a subscriber: yuvipanda.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2015, 11:33 PM

/static is also serving from NFS, while this will serve from local disk.

Sitic added a subscriber: Sitic.Apr 21 2015, 11:46 PM

Change 205788 had a related patch set uploaded (by Yuvipanda):
tools: Setup a cdnjs mirror

https://gerrit.wikimedia.org/r/205788

Change 205788 merged by Yuvipanda:
tools: Setup a cdnjs mirror

https://gerrit.wikimedia.org/r/205788

Change 205813 had a related patch set uploaded (by Yuvipanda):
tools: Fix nginx order matching for cdnjs

https://gerrit.wikimedia.org/r/205813

Change 205813 merged by Yuvipanda:
tools: Fix nginx order matching for cdnjs

https://gerrit.wikimedia.org/r/205813

Change 205814 had a related patch set uploaded (by Yuvipanda):
tools: Set 30d expiry for all things from tools-static cdn

https://gerrit.wikimedia.org/r/205814

Change 205814 merged by Yuvipanda:
tools: Set 30d expiry for all things from tools-static cdn

https://gerrit.wikimedia.org/r/205814

Change 206082 had a related patch set uploaded (by Yuvipanda):
tools: Generate packages.json for cdnjs

https://gerrit.wikimedia.org/r/206082

Change 206082 merged by Yuvipanda:
tools: Generate packages.json for cdnjs

https://gerrit.wikimedia.org/r/206082

Change 206084 had a related patch set uploaded (by Yuvipanda):
tools: Redirect /cdnjs from tools-static to tools

https://gerrit.wikimedia.org/r/206084

Change 206084 merged by Yuvipanda:
tools: Redirect /cdnjs from tools-static to tools

https://gerrit.wikimedia.org/r/206084

valhallasw closed this task as Resolved.Apr 27 2015, 12:29 PM
valhallasw claimed this task.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 19 2015, 9:06 AM
Ricordisamoa removed a project: Patch-For-Review.
Ricordisamoa set Security to None.